#!/usr/bin/env bash -e

VERSION_FILE=VERSION
current=$(cat $VERSION_FILE)
tag=$((current + 1))
docker buildx build --platform linux/amd64,linux/arm64 -t docker.bassengvegen.com/openclaw:${tag} .
docker push docker.bassengvegen.com/openclaw:${tag}
echo $tag > $VERSION_FILE
